Subject: Re: Disman WG session in DC?

From: Randy Presuhn <[email-masked]>
Date: Fri, 8 Oct 1999 10:38:25 -0700 (PDT)

Hi -

> Date: Fri, 8 Oct 1999 18:45:27 +0200
> From: Juergen Schoenwaelder <[email-masked]>
> To: [email-masked]
> CC: [email-masked]
> Subject: Re: Disman WG session in DC?
> References:  <[email-masked]>
...
> Here is what I have in my records. This list does not necessarily
> include all issues that were raised so far. Please let me/us know if
> there are things missing.

Thanks for posting the list.  Let's see how far we can take these
on the mailing list.  If we run into trouble, I'll ask for a meeting
slot.  To simplify tracking the discussion, I'm assigning issue numbers
to these.  Proposed resolutions are solicited.

> - Script MIB:

Issue Script-01:
>   o RFC 2592 refers to smLanguageTable and smExtensionTable which are
>     now called smLangTable and smExtnsTable. (section 7, editorial)
Strawman: make the chnage.
Status: closed

Issue Script-02:
>   o Restartable scripts

Issue Script-03:
>   o Error message during script retrieval or compilation (smScriptError)

Issue Script-04:
>   o Scripts that can run forever without having to reset smRunLifeTime

Issue Script-05:
>   o Index smLangTable and smExtsnTable by name rather than Integer32

Issue Script-06:
>   o Dependencies between scripts and script versioning (Eamonn)

Issue Script-07:
>   o Storage type of script code versus storage type of script meta
>     information

> - Schedule MIB:

Issue Schedule-01:
>   o Sets on arbitrary objects triggered by the scheduler
...

 ------------------------------------------------------------------------
 Randy Presuhn           [email-masked]     http://www.bmc.com/
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 ------------------------------------------------------------------------
 Any relationship between my opinions and BMC's is probably coincidental.
 ------------------------------------------------------------------------

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 20 Oct 1999 13:15:19 +0200

Here is the list of issues plus a few strawman proposals:

Script-01: References to smLanguageTable and smExtensionTable

  These references have been fixed in the ID I just submitted.

Script-02: Restartable scripts

  open

Script-03: Error message during script retrieval or compilation

  Strawman: Add an smScriptError object to the smScriptTable (which
  of course implies we recycle at Proposed).

Script-04: Scripts running forever without having to reset smRunLifeTime

  Strawman: Add text which defines that the maximum value (2147483647
  deci seconds) means that the timer will not tick and thus the script
  will run forever.

Script-05: Index smLangTable and smExtsnTable by name rather than Integer32

  open

Script-06: Dependencies between scripts and script versioning (Eamonn)

  open

Script-07: Storage type of script code versus script meta data

  open

/js

-- 
Juergen Schoenwaelder      Technical University Braunschweig
<[email-masked]>  Dept. Operating Systems & Computer Networks
Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 20 Oct 1999 13:19:31 +0200

Here is the list of issues:

Schedule-01: Sets on arbitrary objects triggered by the scheduler

  open

/js